main()
{
	setExpFog(.000044, .1, .06, 0.1, 0);
	setCullFog (0, 3000, .32, .36, .40, 0);
	maps\mp\_load::main();
	maps\mp\frozentreasure_fx::main();
	maps\mp\elevator1::main(); 
	maps\mp\elevator2::main(); 
	thread alarmring(); 
	thread ambient(); 
	thread exploding_barrel(); 


////////////////////  EFX

	level._effect["barrel"] = loadfx("fx/weapon/explosions/rocket_metal.efx");

//////////////////// SMOKE BUNKERS EFX

	maps\mp\_fx::loopfx("smoke", (-6887.0, 3418.0, -175.0), 0.6);
	maps\mp\_fx::loopfx("smoke", (-2985.0, 2524.0, 162.0), 0.6);

//////////////////// FOG EFX

	maps\mp\_fx::loopfx("fog", (-8288.0, 2788.0, -304.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-6048.0, 2408.0, -324.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-4235.0, 2273.0, -272.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-2874.0, 2171.0, 2.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-2602.0, 837.0, 4.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-2562.0, -346.0, -265.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-1683.0, 3716.0, 147.0), 0.5);
	maps\mp\_fx::loopfx("fog", (-1715.0, 5868.0, 247.0), 0.5);

//////////////////// FACTORY EFX

	maps\mp\_fx::loopfx("steam", (-4912.0, 7003.0, -331.0), 0.6);
	maps\mp\_fx::loopfx("steam", (-4576.0, 7555.0, -331.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-4442.0, 6500.0, 364.0), 0.6);
 	maps\mp\_fx::loopfx("drip", (-4912.0, 7003.0, -331.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-4576.0, 7555.0, -331.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-5120.0, 7283.0, -299.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-7052.0, 7292.0, -294.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-8003.0, 7073.0, -294.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-4683.0, 6437.0, 302.0), 0.6);
	maps\mp\_fx::loopfx("drip", (-4874.0, 6721.0, 5.0), 0.6);

////////////////////// SNOW EFX

//	level.snoweffect = loadfx("fx/weather/snowfallfor5seconds.efx");
//	snowmitters = getentarray("snowmitter","targetname");
//	delay = 5;
//	initialoffset = 0;
//	for(i=0;i<snowmitters.size;i++)
//	{
//		snowmitters[i] thread snowblow(delay,initialoffset);
//		if(initialoffset < 5)
//		{
//			initialoffset += .2;
//		}
//		else
//			initialoffset = 0;
//	}


//////////////////// GAME SETTINGS

	game["allies"] = "british";
	game["axis"] = "german";

	game["hud_allies_victory_image"]= "gfx/hud/hud@mp_victory_kharkov_r.dds";
	game["hud_axis_victory_image"] 	= "gfx/hud/hud@mp_victory_kharkov_g.dds";

	game["british_soldiertype"] = "commando";
	game["british_soldiervariation"] = "winter";
	game["german_soldiertype"] = "waffen";
	game["german_soldiervariation"] = "winter";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	//retrival settings - thanks to MMS wyatt earp
	level.obj["1"] = (&"RE_OBJ_CODE_BOOK");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = (&"RE_OBJ_DEPOT_OBJ_ATTACKER");
	game["re_defenders_obj_text"] = (&"RE_OBJ_DEPOT_OBJ_DEFENDER");
	game["re_spectator_obj_text"] = (&"RE_OBJ_DEPOT_OBJ_SPECTATOR");
	game["re_attackers_intro_text"] = (&"RE_OBJ_DEPOT_SPAWN_ATTACKER");
	game["re_defenders_intro_text"] = (&"RE_OBJ_DEPOT_SPAWN_DEFENDER");

	//settings HeadQuarter
	if (getcvar("g_gametype") == "hq")
	{
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-7551, 1073, -28);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-7272, 5904, -344);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-5803, 6528, -184);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-7648, 6856, -336);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-7224, 7056, -392);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-5688, 7144, -384);
		radio.angles = (0, 360, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-4456, 7392, -232);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";

		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-5520, 7944, -232);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";
	}

}



//snowblow(delay,initialoffset)
//{
//	wait initialoffset;
//	while(1)
//	{
//		playfx (level.snoweffect,self.origin);
//		wait delay;
//	}
//
//}


alarmring() 
{ 
  trig = getent ("alarmb1","targetname"); 	//GET THE TRIGGER 
  alarm1 = getent ("alarmsp1","targetname"); 	//GET THE ORIGIN OF SPEAKER 1
  alarm2 = getent ("alarmsp2","targetname"); 	//GET THE ORIGIN OF SPEAKER 2
  alarm3 = getent ("alarmsp3","targetname"); 	//GET THE ORIGIN OF SPEAKER 3
  alarm4 = getent ("alarmsp4","targetname"); 	//GET THE ORIGIN OF SPEAKER 4
  alarm5 = getent ("alarmsp5","targetname"); 	//GET THE ORIGIN OF SPEAKER 5
  trig waittill ("trigger"); 			//WAITTILL TRIGGERED 
  alarm1 PlaySound("Switch");			//Play click sound when button is pressed
  trig delete();				//DELETE THE TRIGGER SO IT IS NOT USEABLE AGAIN
  iprintlnbold ("ALARM!!! ALARM!!!"); 		//Print on the user interface
  thread random_alarm(); 			//ACTIVATE THE RANDOM ALERTS
  while (true)
  {
	alarm2 playloopsound("CS_alarm");		//PLAY THE LOOPING SOUND
	alarm3 playloopsound("CS_alarm");		//PLAY THE LOOPING SOUND
	alarm4 playloopsound("CS_alarm");		//PLAY THE LOOPING SOUND
	alarm5 playloopsound("CS_alarm");		//PLAY THE LOOPING SOUND
	wait 60;					//WAIT 60 seconds
	alarm2 stoploopsound("CS_alarm");		//STOP THE LOOPING SOUND
	alarm3 stoploopsound("CS_alarm");		//STOP THE LOOPING SOUND
	alarm4 playloopsound("CS_alarm");		//PLAY THE LOOPING SOUND
	alarm5 playloopsound("CS_alarm");		//PLAY THE LOOPING SOUND
	wait 60;					//WAIT 60 seconds
  }
}

random_alarm()
{
	alarm2 = getent ("alarmsp2","targetname"); 	//GET THE ORIGIN OF SPEAKER 2
	alarm3 = getent ("alarmsp3","targetname"); 	//GET THE ORIGIN OF SPEAKER 3
	alarm4 = getent ("alarmsp4","targetname"); 	//GET THE ORIGIN OF SPEAKER 4
	alarm5 = getent ("alarmsp5","targetname"); 	//GET THE ORIGIN OF SPEAKER 5
	alarm2 playsound("ranlarm1");		//alarm2 plays this one first
	alarm3 playsound("ranlarm1");		//alarm3 plays this one first
	alarm4 playsound("ranlarm1");		//alarm4 plays this one first
	alarm5 playsound("ranlarm1");		//alarm5 plays this one first
	wait (15 + randomint (10) );		//wait a random amount of time (min=15 otherwise 2 wavs will play together!!!)
	while (true)
	{
			num = randomint (4);		//take a random number, 0, 1, 2 or 3
			if (num == 0)
			{
				alert = "ranlarm1";
				// 
			}
			if (num == 1)
			{
				alert = "ranlarm2";
				// (
			}
			if (num == 2)
			{
				alert = "ranlarm3";
				// 
			}
			if (num == 3)
			{
				alert = "ranlarm4";
				// 
			}

			alarm2 playsound(alert);		//alarm2 plays random sound
			alarm3 playsound(alert);		//alarm3 plays random sound
			alarm4 playsound(alert);		//alarm4 plays random sound
			alarm5 playsound(alert);		//alarm5 plays random sound
			wait (15 + randomint (10) );		//wait a random amount of time (min=15 otherwise 2 wavs will play together!!!)
	}
}


exploding_barrel()
{
	trig = getent ("tb1","targetname");
	barred  = getent ("mb1","targetname");
	barred2 = getent ("mb1a","targetname");
	sound = getent ("barrelsp1","targetname");
	fxloc = getent ("rb1sp","targetname");
	sound hide();
	barred show();	

	trig waittill ("trigger"); 	

	//PLAY THE FX
	sound playsound("explosion");
	playfx(level._effect["barrel"], fxloc.origin);

	//DELETE THE BARRELS AND THE TRIGGER
	trig delete();	
	barred delete();
	barred2 delete();

	//origin, range, max damage, min damage
	radiusDamage (fxloc.origin + (0,0,10), 300, 590, 100);

	//scale, duration, source, radius
	earthquake(0.45, 1, fxloc.origin, 2050);
}

ambient()
{
	//Get all the entities
	speakerhum = getent ("humsp1","targetname");
	wind1 = getent ("windsp1","targetname");
	wind2 = getent ("windsp2","targetname");
	wind3 = getent ("windsp3","targetname");
	wind4 = getent ("windsp4","targetname");
	speaker1 = getent ("hisssp1","targetname");
	speaker2 = getent ("hissp2","targetname");
	alarm2 = getent ("alarmsp2","targetname");
	alarm3 = getent ("alarmsp3","targetname");
	alarm4 = getent ("alarmsp4","targetname");
	alarm5 = getent ("alarmsp5","targetname");
	amb1 = getent ("ambientsp1","targetname");
	amb2 = getent ("ambientsp2","targetname");
	amb3 = getent ("ambientsp3","targetname");
	barksound = getent ("dogsp","targetname");

	//Hide all the entities (speakerboxes)
	speakerhum hide();
	speaker1 hide();
	speaker2 hide();
	wind1 hide();
	wind2 hide();
	wind3 hide();
	wind4 hide();
	amb1 hide();
	amb2 hide();
	amb3 hide();
	barksound hide();

	//Play all the ambient sounds at their origins (speakerboxes)
	speakerhum playloopsound("generator");
	speaker1 playloopsound("steam");
	speaker2 playloopsound("steam");
	wind1 playloopsound("CS_wind");
	wind2 playloopsound("CS_wind");
	wind3 playloopsound("CS_wind2");
	wind4 playloopsound("CS_wind2");
	alarm2 playloopsound("normal");
	alarm3 playloopsound("normal");
	alarm4 playloopsound("normal");
	alarm5 playloopsound("normal");
	amb1 playloopsound("normal");
	amb2 playloopsound("normal");
	amb3 playloopsound("normal");
	while (true)
	{
	barksound playsound("bark");
	wait (25 + randomint (15) );
	}
}

